const os = require('os');

const ORGANIZATION = '@tongdun/';

/**
 * gitlab地址,组默认为TDEF,默认为Public,project权限为MASTER
 * GUEST     = 10
 * REPORTER  = 20
 * DEVELOPER = 30
 * MASTER    = 40
 * OWNER     = 50 project 不能是owner
 */
const GITLABURL = 'https://gitlab.fraudmetrix.cn/api/v3';
const TDFEGROUPID = 404;
const VISIBILITYLEVEL = 20;
const ACCESSLEVEL = 40;
const TOKENFILENAME = os.homedir() + '/.ssh/aif_tool_private_token';

const AIFTOOLCONFIGHOME = os.homedir() + '/.aif-tool';
const AIFTOOLCONFIG = os.homedir() + '/.aif-tool/config';

const AIFTEMPLATELIST = [
  {
    'name': 'webpack-npm',
    'path': 'https://gitlab.fraudmetrix.cn:yun.zhao/webpack-npm#master',
    'desc': '基于Webpack和ES6构建NPM包，支持浏览器环境使用，兼容 ES6(ES2015) 的模块系统、CommonJS 和 AMD 模块规范',
  },
  {
    'name': 'webpack-react',
    'path': 'https://gitlab.fraudmetrix.cn:yun.zhao/react-webpack#master',
    'desc': 'React(16)&Redux(4)&React-Router(4)Webpack(4)单页，多页，SPA脚手架',
  },
  {
    'name': 'webpack-react-spa',
    'path': 'https://gitlab.fraudmetrix.cn:tdfe/webpack-react-spa#master',
    'desc': '基于ANTD的同盾中后台管理系统，React(16)&Redux(4)&React-Router(4)Webpack(4)',
  },
  {
    'name': 'webpack-react-module',
    'path': 'https://gitlab.fraudmetrix.cn:tdfe/webpack-react-module#master',
    'desc': 'React Module，开发React基础组件',
  },
  {
    'name': 'webpack-react-koa-isomorphic',
    'path': 'https://gitlab.fraudmetrix.cn:tdfe/koa-react-isomorphic#master',
    'desc': '基于Koa的React同构套件',
  },
];

module.exports = {
  ORGANIZATION,
  GITLABURL,
  TDFEGROUPID,
  VISIBILITYLEVEL,
  ACCESSLEVEL,
  TOKENFILENAME,
  AIFTOOLCONFIGHOME,
  AIFTOOLCONFIG,
  AIFTEMPLATELIST,
  AIFTOOLCONFIG,
};
